/**
 * IntegrityCheckAlgorithm2.java
 *
 * File generated from the medication2::IntegrityCheckAlgorithm2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration IntegrityCheckAlgorithm2.
 *
 * 
 */

@XmlType(name = "IntegrityCheckAlgorithm")
@XmlEnum
@XmlRootElement(name = "IntegrityCheckAlgorithm2")
public enum IntegrityCheckAlgorithm2 {
	@XmlEnumValue("SHA-1")
	SHA1("SHA-1"),
	@XmlEnumValue("SHA-256")
	SHA256("SHA-256");
	
	private final String value;

    IntegrityCheckAlgorithm2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static IntegrityCheckAlgorithm2 fromValue(String v) {
        for (IntegrityCheckAlgorithm2 c: IntegrityCheckAlgorithm2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
